Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class Synchronizer

    java.lang.Object
      de.grogra.pf.ui.Synchronizer

All Implemented Interfaces:
  java.lang.Runnable, java.util.concurrent.Executor

    public abstract class Synchronizer

extends java.lang.Object
implements java.lang.Runnable, java.util.concurrent.Executor

Nested Class Summary
`static interface` | `Synchronizer.Callback`

Constructor Summary
`Synchronizer()`
`Synchronizer(Synchronizer.Callback callback)`

Method Summary
`void` | `initCallback(Synchronizer.Callback callback)`
`java.lang.Object` | `invokeAndWait(int action)`
`java.lang.Object` | `invokeAndWait(int action, int iarg, java.lang.Object oarg1, java.lang.Object oarg2)`
`java.lang.Object` | `invokeAndWait(int action, java.lang.Object arg)`
`protected abstract void` | `invokeAndWait(java.lang.Runnable r)`
`protected abstract boolean` | `isDispatchThread()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Constructor Detail

### Synchronizer

    public Synchronizer()

### Synchronizer

    public Synchronizer(Synchronizer.Callback callback)

Method Detail

### initCallback

    public void initCallback(Synchronizer.Callback callback)

### invokeAndWait

    public java.lang.Object invokeAndWait(int action)

### invokeAndWait

    public java.lang.Object invokeAndWait(int action,
                                          int iarg,
                                          java.lang.Object oarg1,
                                          java.lang.Object oarg2)

### invokeAndWait

    public java.lang.Object invokeAndWait(int action,
                                          java.lang.Object arg)

### invokeAndWait

    protected abstract void invokeAndWait(java.lang.Runnable r)
                                   throws java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.reflect.InvocationTargetException`

### isDispatchThread

    protected abstract boolean isDispatchThread()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD